Member

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /members
  • /:member_id

Get a specific project member by ID

Request

REQUIRED SCOPES
PROJECT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

member_idrequiredinteger
The ID of the member

Example: 216

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
usernamestring
The unique username of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
adminboolean
Whether the user has admin privileges
workspace_ownerboolean
Whether the user is workspace owner
permission_setPermissionSetView
User permission set configuration

Last modified on Apr 22, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/members/:member_id" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/my-company/projects/my-project/members/216",
  "html_url": "https://app.buddy.works/my-company/-/profile/216",
  "id": 216,
  "name": "Leon",
  "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/0216e0eaead35ceec361a9eb6fc165ab/w/32/32/AVATAR.png",
  "email": "leon@example.com",
  "admin": false,
  "workspace_owner": false,
  "permission_set": {
    "url": "https://api.buddy.works/workspaces/toprus/permissions/1",
    "html_url": "https://app.buddy.works/my-company/-/permissions/edit/1",
    "name": "Developer",
    "repository_access_level": "READ_WRITE",
    "pipeline_access_level": "READ_WRITE",
    "sandbox_access_level": "READ_WRITE",
    "project_team_access_level": "READ_ONLY",
    "environment_access_level": "MANAGE",
    "artifact_access_level": "MANAGE",
    "id": 1,
    "type": "DEVELOPER"
  }
}
STATUS
200 OK